
<form (ngSubmit)="onSubmit()" [formGroup]="imagenesForm " >


<div *ngIf="idAlbum==1; then thenBlock else elseBlock"></div>
<ng-template #thenBlock>
    
    <div class="mb-1 d-flex justify-content-end">
        <a class="btn btn-outline-primary me-3" (click)="volverMultimedia()">
            <i class="bi bi-arrow-left-circle"></i> Volver</a>
      </div>
      
      <div class="row">
    <div class="col-lg-6">
        <h3 class="font-medium mb-3">Cargar archivos </h3>
        <div class="card w-100">
            <div class="card-body border-top">
                
              
<label for="">Usuario: </label>
      <select   class="form-control" name="idPaciente" formControlName="idPaciente"
      style="   background-color: #fff;
      width: 300px;
      float: right;
      " >
       <option value="null">Cuidador</option>
       <option *ngFor="let paciente of listaPacientes" [ngValue]="paciente.id">
         {{ paciente.nombre }} {{ paciente.apellido }}
       </option>
     </select>

    </div></div></div></div>



    </ng-template>


<ng-template #elseBlock>

    <div class="mb-1 d-flex justify-content-end">
        <a class="btn btn-outline-primary me-3" (click)="volver()">
            <i class="bi bi-arrow-left-circle"></i> Volver</a>
      </div>
      <div class="row">
        <div class="col-lg-6">
            <h4 class="font-medium mb-3">Agregar fotos </h4>

            <div class="card w-100">
                <div class="card-body border-top">
                    
                    <h5 class="font-medium mb-3">Paciente: {{nombredelpaciente}} </h5>
                    <h5 class="font-medium mb-3">Álbum: {{nombredelalbum}} </h5>
      </div></div></div></div>
</ng-template>



  
<div class="row d-flex  ">
    <div class="col-lg-6">
        <div class="card w-100">
            <div class="card-body border-top">

                <div class="card   ">

                    
                    <div class="card-header bg-secondary2 colorFUERTE{{idAlbum}}" #imageFile>
                        <span class="subiendoImagen" style="color:#fff;display: none;">Subiendo archivo <i class="fa fa-3x fa-spinner fa-pulse"></i></span>
                    </div>

                    <div class="card-body">
                        <img class="img-fluid" [src]="imgURL" class="card-img-top">
                        <hr style="border-color:azure">
                            <div class="form-group">
                                
                                <div *ngIf="idAlbum==1; then variosarchivos else soloimagenes"></div>
                                <ng-template #variosarchivos>

                                    <input type="file" class="form-control-file" formControlName="imgFile" 
                                class="form-control-file" (change)="selectImage($event)" accept="image/*,video/*">

                                </ng-template>

                                <ng-template #soloimagenes>
                                    <input type="file" class="form-control-file" formControlName="imgFile" 
                                    class="form-control-file" (change)="selectImage($event)" accept="image/*" >
                                </ng-template>
                     
                                

                               

                                    <!-- formControlName="imgFile" accept="image/*"  -->
<br>
                                <button type="submit" class="btn btn-primary mt-3 oculto" [disabled]="btnActive">Guardar</button>
                            </div>
                    </div>

                </div>

            </div>
 
        </div>
    </div>

</div>

</form>

